# _Results
<span class="source-link">[[Source]](src/ponybench/_results.md#L3)</span>
```pony
class val _Results
```

## Constructors

### create
<span class="source-link">[[Source]](src/ponybench/_results.md#L9)</span>


```pony
new val create(
  name': String val,
  samples': Array[U64 val] iso,
  iterations': U64 val,
  overhead': Bool val)
: _Results val^
```
#### Parameters

*   name': [String](builtin-String) val
*   samples': [Array](builtin-Array)\[[U64](builtin-U64) val\] iso
*   iterations': [U64](builtin-U64) val
*   overhead': [Bool](builtin-Bool) val

#### Returns

* [_Results](ponybench-_Results) val^

---

## Public fields

### let name: [String](builtin-String) val
<span class="source-link">[[Source]](src/ponybench/_results.md#L4)</span>



---

### let samples: [Array](builtin-Array)\[[U64](builtin-U64) val\] ref
<span class="source-link">[[Source]](src/ponybench/_results.md#L5)</span>



---

### let iterations: [U64](builtin-U64) val
<span class="source-link">[[Source]](src/ponybench/_results.md#L6)</span>



---

### let overhead: [Bool](builtin-Bool) val
<span class="source-link">[[Source]](src/ponybench/_results.md#L7)</span>



---

## Public Functions

### raw_str
<span class="source-link">[[Source]](src/ponybench/_results.md#L21)</span>


```pony
fun box raw_str()
: String val
```

#### Returns

* [String](builtin-String) val

---

### sum
<span class="source-link">[[Source]](src/ponybench/_results.md#L31)</span>


```pony
fun box sum()
: U64 val
```

#### Returns

* [U64](builtin-U64) val

---

### mean
<span class="source-link">[[Source]](src/ponybench/_results.md#L40)</span>


```pony
fun box mean()
: F64 val
```

#### Returns

* [F64](builtin-F64) val

---

### median
<span class="source-link">[[Source]](src/ponybench/_results.md#L43)</span>


```pony
fun box median()
: F64 val
```

#### Returns

* [F64](builtin-F64) val

---

### std_dev
<span class="source-link">[[Source]](src/ponybench/_results.md#L57)</span>


```pony
fun box std_dev()
: F64 val
```

#### Returns

* [F64](builtin-F64) val

---

